package FullSmoke::JobController::BuildPerlAllCPAN;

use MooseX::Singleton;
use FullSmoke::JobController; # get the exports too
use FullSmoke::Util::MooseHelpers;

with 'FullSmoke::JobController';

use FullSmoke::Util::CPANIndex qw/distinfo get_all_dists/;

with 'FullSmoke::JobController::Roles::BuildPerl';
with 'FullSmoke::JobController::Roles::AllCPAN';

# Do the phase build_perl from the role
rolephase 'build_perl';

rolephase 'all_cpan_modules';

rolephase 'cleanup_perl';