package FullSmoke::JobController::BuildPerlSingleModule;

use MooseX::Singleton;
use FullSmoke::JobController; # get the exports too
use FullSmoke::Util::MooseHelpers;

with 'FullSmoke::JobController';

with 'FullSmoke::JobController::Roles::BuildPerl';
with 'FullSmoke::JobController::Roles::SingleModule';

# Do the phase build_perl from the role
rolephase 'build_perl';

rolephase 'cpan_module';

rolephase 'cleanup_perl';



#phase final => (
#  finalize => 1, # Run regardless of what happened
#  code => method() {
#    return make_job(
#      'CPANMCleanup'
#    )
#  },
#);