package FullSmoke::JobController::SingleModule;

use MooseX::Singleton;
use FullSmoke::JobController; # get the exports too
use FullSmoke::Util::MooseHelpers;
use Function::Parameters qw/:std :modifiers/;

# Becomes a command line option
has_str_arg perl_name => (
  documentation => 'Name of perlbrew installed perl to use',
  required => 1,
);

with 'FullSmoke::JobController';

with 'FullSmoke::JobController::Roles::SingleModule';

after BUILD(@args) {
  rolephase 'cpan_module';
}

#phase final => (
#  finalize => 1, # Run regardless of what happened
#  code => method() {
#    return make_job(
#      'CPANMCleanup'
#    )
#  },
#);

1;